// import { WebView } from '@capacitor/core';

// // 仅注入环境，不处理任何实际请求
// export async function injectWeb3Environment() {
//   const injectionCode = `
//     // 仅定义空壳 provider
//     if (typeof window.ethereum === 'undefined') {
//       window.ethereum = {
//         isMetaMask: false,
//         isConnected: () => false,
//         request: () => Promise.reject('This DApp browser only provides environment'),
//         on: () => console.warn('Event listening not implemented'),
//         removeListener: () => {}
//       };
      
//       if (typeof Web3 !== 'undefined') {
//         window.web3 = { currentProvider: window.ethereum };
//       }
//       window.wallet ='1234567890123456789012345678901234567890';
//       console.log('Web3 environment injected');
//     }
//   `;

//   await WebView.evaluateJavaScript({
//     script: injectionCode
//   });
// }



// src/services/web3-injector.js
// export function injectWeb3Environment() {
//   if (typeof window.ethereum === 'undefined') {
//     // 创建基础的以太坊提供者
//     window.ethereum = {
//       isMetaMask: false,
//       isDAppBrowser: true,
//       host: window.location.host,
//       chainId: '0x1', // 以太坊主网
//       selectedAddress: null,
      
//       request: async (request) => {
//         console.log('Web3 Request:', request.method, request.params);
//         return Promise.reject('This app only provides Web3 environment');
//       },
      
//       on: (event, callback) => {
//         console.log(`Event ${event} subscribed`);
//       },
      
//       removeListener: (event, callback) => {
//         console.log(`Event ${event} unsubscribed`);
//       }
//     };
    
//     // 自动注入 Web3 实例（如果存在 Web3 库）
//     if (typeof Web3 !== 'undefined') {
//       window.web3 = new Web3(window.ethereum);
//     }
    
//     // 注入钱包地址（示例）
//     window.walletAddress = '0x71C7656EC7ab88b098defB751B7401B5f6d8976F';
    
//     console.log('Web3 environment injected');
//   }
// }


// src/services/capacitor-web3.js
import { WebView } from '@capacitor/core';

export async function injectWeb3ToCapacitor() {
  await WebView.evaluateJavaScript({
    script: `
      if (typeof window.ethereum === 'undefined') {
        window.ethereum = {
          isMetaMask: false,
          isDAppBrowser: true,
          request: (req) => {
            console.log('Web3 request intercepted:', req);
            return Promise.reject('Capacitor Web3 environment only');
          }
        };
        window.wallet = '0x71C7656EC7ab88b098defB751B7401B5f6d8976F';
      }
    `
  });
}